Package org.apache.lucene.sandbox.facet.utils

# Class ComparableUtils.ByLongValueComparable

java.lang.Object
org.apache.lucene.sandbox.facet.utils.ComparableUtils.ByLongValueComparable

All Implemented Interfaces:
  `Comparable<ComparableUtils.ByLongValueComparable>`

Enclosing class:
  `ComparableUtils`

public static final class ComparableUtils.ByLongValueComparable extends Object implements Comparable<ComparableUtils.ByLongValueComparable>
Used for `ComparableUtils.byLongValue(org.apache.lucene.sandbox.facet.cutters.LongValueFacetCutter)` result.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ComparableUtils.ByLongValueComparable o)`
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### compareTo

    public int compareTo(ComparableUtils.ByLongValueComparable o)
    Specified by:
      `compareTo` in interface `Comparable<ComparableUtils.ByLongValueComparable>`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`